local name, version = splitFileName(myModuleFullName())
local platform  = "linux-x86_64-ubuntu-3.8"
local home      = os.getenv("HOME")
local gpaw_root = pathJoin(home, "git/gpaw", version)

load("gpaw-setups/0.9.20000")

setenv("OMP_NUM_THREADS", 1)
prepend_path("PYTHONPATH", ".")
prepend_path("PYTHONPATH", gpaw_root)
prepend_path("PYTHONPATH", pathJoin(gpaw_root, "build/lib." .. platform))
prepend_path("PATH", pathJoin(gpaw_root, "tools"))
prepend_path("PATH", pathJoin(gpaw_root, "build/bin." .. platform))
execute {cmd='complete -o default -C "/usr/bin/python3 ' .. gpaw_root .. '/gpaw/cli/complete.py" gpaw', modeA={"load"}}
